enCore Xpress 5 Beta

enCore Learning Environment version 5

Latest release:

System Requirements

Good news: enCore v5 no longer needs Java nor a telnet connection. The program is fully functional without them, enabeling users behind firewalls to participate in synchronous chat. All you need now is a webport opened.

However, we still do recommend to have Java installed on the user machine, and to have the correct telnet port open.

Quick Links: